import { createSvgIcon } from "@mui/material/utils";

const TextIcon = createSvgIcon(
  <svg
    width="60"
    height="60"
    viewBox="0 0 60 60"
    fill="none"
    xmlns="http://www.w3.org/2000/svg">
    <path
      d="M53.535 12.285L42.715 1.465C41.7775 0.527253 40.506 0.000283187 39.18 0L10 0C8.67392 0 7.40215 0.526784 6.46447 1.46447C5.52678 2.40215 5 3.67392 5 5V55C5 56.3261 5.52678 57.5979 6.46447 58.5355C7.40215 59.4732 8.67392 60 10 60H50C51.3261 60 52.5979 59.4732 53.5355 58.5355C54.4732 57.5979 55 56.3261 55 55V15.82C54.9997 14.494 54.4727 13.2225 53.535 12.285ZM27.5 48.75H16.25C15.587 48.75 14.9511 48.4866 14.4822 48.0178C14.0134 47.5489 13.75 46.913 13.75 46.25C13.75 45.587 14.0134 44.9511 14.4822 44.4822C14.9511 44.0134 15.587 43.75 16.25 43.75H27.5C28.163 43.75 28.7989 44.0134 29.2678 44.4822C29.7366 44.9511 30 45.587 30 46.25C30 46.913 29.7366 47.5489 29.2678 48.0178C28.7989 48.4866 28.163 48.75 27.5 48.75ZM38.75 38.75H16.25C15.587 38.75 14.9511 38.4866 14.4822 38.0178C14.0134 37.5489 13.75 36.913 13.75 36.25C13.75 35.587 14.0134 34.9511 14.4822 34.4822C14.9511 34.0134 15.587 33.75 16.25 33.75H38.75C39.413 33.75 40.0489 34.0134 40.5178 34.4822C40.9866 34.9511 41.25 35.587 41.25 36.25C41.25 36.913 40.9866 37.5489 40.5178 38.0178C40.0489 38.4866 39.413 38.75 38.75 38.75ZM38.75 28.75H16.25C15.587 28.75 14.9511 28.4866 14.4822 28.0178C14.0134 27.5489 13.75 26.913 13.75 26.25C13.75 25.587 14.0134 24.9511 14.4822 24.4822C14.9511 24.0134 15.587 23.75 16.25 23.75H38.75C39.413 23.75 40.0489 24.0134 40.5178 24.4822C40.9866 24.9511 41.25 25.587 41.25 26.25C41.25 26.913 40.9866 27.5489 40.5178 28.0178C40.0489 28.4866 39.413 28.75 38.75 28.75Z"
      fill="currentColor"
    />
  </svg>,
  "Text"
);

export default TextIcon;
